#ifndef TEST_SCRIPTED_STATE_MACHINE_H
#define TEST_SCRIPTED_STATE_MACHINE_H

/*!
  \file
  \brief ScriptedStateMachine のテスト

  \author Satofumi KAMIMURA

  $Id: TestScriptedStateMachine.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


/*!
  \brief ScriptedStateMachine のテストクラス
*/
class TestScriptedStateMachine : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(TestScriptedStateMachine);
    CPPUNIT_TEST(compileTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void compileTest(void);
};

#endif /* !TEST_SCRIPTED_STATE_MACHINE_H */
